# AutoContextInfoReset Class Reference

`#include <ContextHelpers.hpp>`

List of all members.

## Public Member Functions

| AutoContextInfoReset (DynamicContext *context)
| ~AutoContextInfoReset ()
void | resetContextInfo ()

## Public Attributes

Item::Ptr | oldContextItem
unsigned int | oldContextPosition
unsigned int | oldContextSize

## Constructor & Destructor Documentation

AutoContextInfoReset::AutoContextInfoReset | ( | DynamicContext * | context | ) | `[inline]`

AutoContextInfoReset::~AutoContextInfoReset | ( |  | ) | `[inline]`

## Member Function Documentation

void AutoContextInfoReset::resetContextInfo | ( |  | ) | `[inline]`

## Member Data Documentation

Item::Ptr AutoContextInfoReset::oldContextItem

unsigned int AutoContextInfoReset::oldContextPosition

unsigned int AutoContextInfoReset::oldContextSize

The documentation for this class was generated from the following file:

- ContextHelpers.hpp